Bug 210338 - login returns getaddrinfo: Success
login returns getaddrinfo: Success
Product: Fedora
Classification: Fedora
Component: util-linux (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karel Zak
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2006-10-11 12:25 EDT by David Woodhouse
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-28 07:51:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2006-10-11 12:25:09 EDT
OpenPBX allows dialin on phone channels using v.110, and invokes /bin/login with
the phone number of the incoming call. Thus we see something like this in lastlog:

    Last login: Wed Oct 11 16:45:10 from 01223248854

In FC6, /bin/login no longer accepts this silently -- the caller sees this:

   getaddrinfo: Success

That 'getaddrinfo: Success' should not happen.
Comment 1 Karel Zak 2006-10-12 06:00:32 EDT
Fixed in the devel branch.
Comment 2 Karel Zak 2006-10-12 16:41:21 EDT
and RHEL5..

Note You need to log in before you can comment on or make changes to this bug.